Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2011-0014

CVE information

Published

11 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

ssl/t1_lib.c in OpenSSL 0.9.8h through 0.9.8q and 1.0.0 through 1.0.0c allows remote attackers to cause a denial of service (crash), and possibly obtain sensitive information in applications that use OpenSSL, via a malformed ClientHello handshake message that triggers an out-of-bounds memory access, aka "OCSP stapling vulnerability.".

CVSSv2.0 Score

Severity
Medium
Base Score
5/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
2.9/10
Confidentiality Impact
None
Availability Impact
Partial
Integrity Impact
None

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:openssl:openssl:0.9.8m:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:0.9.8n:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:0.9.8p:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:0.9.8k:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:0.9.8j:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:0.9.8l:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:0.9.8o:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:0.9.8q:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:0.9.8i:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:0.9.8h:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:1.0.0c:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:1.0.0:beta1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:1.0.0:beta2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:1.0.0:beta3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:1.0.0:beta4:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:1.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:1.0.0:beta5:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:1.0.0a:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:openssl:openssl:1.0.0b:*:*:*:*:*:*:*
  Yes
- -

References